;$Author:   BCRANE  $
;$Date:   15 Jun 1992 10:15:26  $
;$Header:   W:/sccs/inc/model.inv   1.0   15 Jun 1992 10:15:26   BCRANE  $
;$Log:   W:/sccs/inc/model.inv  $
;
;   Rev 1.0   15 Jun 1992 10:15:26   BCRANE
;Initial revision.
;$Logfile:   W:/sccs/inc/model.inv  $
;$Modtimes$
;$Revision:   1.0  $
;$Workfile:   MODEL.INC  $ 


	Subttl MVSOUND	--  Audio Spectrum Sound Support Code
        page    64,131

;   /*\
;---|*|----====< MODEL.INC >====----
;---|*|
;---|*| This module holds the model directives which will be duplicated
;---|*| in each .asm module at compile time.
;---|*|
;---|*| This module depends upon an equate to be provided on the DOS
;---|*| command line. This equate, "MODELSIZE" holds the value of
;---|*|
;---|*| Copyright (c) 1991, Media Vision, Inc.	All Rights Reserved.
;---|*|
;   \*/

if MODELSIZE eq 0
	.model	small,c 	;; tiny model
	assume	ds:@code
	assume	es:@code
else
  if MODELSIZE eq 1
        .model  small,c
  else
    if MODELSIZE eq 2
	.model	medium,c
    else
      if MODELSIZE eq 3
	.model	compact,c
      else
	if MODELSIZE eq 4
	.model	large,c
	else
	  if MODELSIZE eq 5
	.model	huge,c
	  else
	   .err Bad MODELSIZE specified (or not specified)!
	  endif
        endif
      endif
    endif
  endif
endif

;   /*\
;   |*| end of model.inc
;   \*/


